Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.testing
Class NodeIdUnit

    java.lang.Object
      rice.pastry.testing.NodeIdUnit

public class NodeIdUnit
extends java.lang.Object

NodeIdUnit tests the NodeId class.

Version:
  $Id: NodeIdUnit.java,v 1.14 2005/03/11 00:57:57 jeffh Exp $
Author:
  Andrew Ladd

Constructor Summary
`NodeIdUnit()` Constructor for NodeIdUnit.

Method Summary
`void` | `alternateTest()` DESCRIBE THE METHOD
`void` | `baseFiddlingTest()` DESCRIBE THE METHOD
`NodeId` | `createNodeId()` DESCRIBE THE METHOD
`void` | `distanceTest()` DESCRIBE THE METHOD
`void` | `domainPrefixTest()` DESCRIBE THE METHOD
`void` | `equalityTest()` DESCRIBE THE METHOD
`static void` | `main(java.lang.String[] args)` DESCRIBE THE METHOD
`void` | `msdTest()` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeIdUnit

    public NodeIdUnit()

  Constructor for NodeIdUnit.

Method Detail

### createNodeId

    public NodeId createNodeId()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

### equalityTest

    public void equalityTest()

  DESCRIBE THE METHOD

### distanceTest

    public void distanceTest()

  DESCRIBE THE METHOD

### baseFiddlingTest

    public void baseFiddlingTest()

  DESCRIBE THE METHOD

### msdTest

    public void msdTest()

  DESCRIBE THE METHOD

### alternateTest

    public void alternateTest()

  DESCRIBE THE METHOD

### domainPrefixTest

    public void domainPrefixTest()

  DESCRIBE THE METHOD

### main

    public static void main(java.lang.String[] args)

  DESCRIBE THE METHOD

  Parameters:
    `args` - DESCRIBE THE PARAMETER

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.